<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtcreator.qdoc -->
  <title>Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
</tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qt Creator Manual 4.11.1</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="next" href="creator-getting-started.html" />
<p class="naviNextPrevious headerNavi">
<a class="nextPage" href="creator-getting-started.html">Getting Started</a>
</p><p/>
<h1 class="title">Qt Creator Manual</h1>
<span class="subtitle"></span>
<!-- $$$index.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator provides a cross-platform, complete integrated development environment (IDE) for application developers to create applications for multiple desktop, <a href="http://doc.qt.io/QtForDeviceCreation/index.html">embedded</a>, and mobile device platforms, such as <a href="creator-developing-android.html">Android</a> and <a href="creator-developing-ios.html">iOS</a>. It is available for Linux, <a href="nolink">macOS</a> and Windows operating systems. For more information, see <a href="creator-os-supported-platforms.html">Supported Platforms</a>.</p>
<p>In addition, you can use the experimental <a href="creator-setup-webassembly.html">WebAssembly plugin</a> to build applications in web format and run them in web browsers.</p>
<p>This manual also describes features that are only available if you have the appropriate <a href="http://qt.io/licensing/">Qt license</a>. For more information, see <a href="creator-commercial-overview.html">Commercial Features</a>.</p>
<div class="table"><table class="generic">
 <tr valign="top" class="odd"><td ><img src="images/creator_gettingstarted.png" alt="" /></td><td ><img src="images/creator_managingprojects.png" alt="" /></td><td ><img src="images/creator_designinguserinterface.png" alt="" /></td><td ><img src="images/creator_coding.png" alt="" /></td></tr>
<tr valign="top" class="even"><td ><b><a href="creator-getting-started.html">Getting Started</a></b><ul>
<li><a href="creator-overview.html">IDE Overview</a></li>
<li><a href="creator-quick-tour.html">User Interface</a></li>
<li><a href="creator-configuring.html">Configuring Qt Creator</a></li>
<li><a href="creator-build-example-application.html">Building and Running an Example</a></li>
<li><a href="creator-tutorials.html">Tutorials</a></li>
</ul>
</td><td ><b><a href="creator-project-managing.html">Managing Projects</a></b><ul>
<li><a href="creator-project-creating.html">Creating Projects</a></li>
<li><a href="creator-version-control.html">Using Version Control Systems</a></li>
<li><a href="creator-configuring-projects.html">Configuring Projects</a></li>
<li><a href="creator-project-managing-sessions.html">Managing Sessions</a></li>
</ul>
</td><td ><b><a href="creator-design-mode.html">Designing User Interfaces</a></b><ul>
<li><a href="creator-visual-editor.html">Developing Qt Quick Applications</a></li>
<li><a href="creator-using-qt-designer.html">Developing Widget Based Applications</a></li>
<li><a href="creator-usability.html">Optimizing Applications for Mobile Devices</a></li>
</ul>
</td><td ><b><a href="creator-coding.html">Coding</a></b><ul>
<li><a href="creator-editor-functions.html">Writing Code</a></li>
<li><a href="creator-finding-overview.html">Finding</a></li>
<li><a href="creator-editor-refactoring.html">Refactoring</a></li>
<li><a href="creator-editor-options.html">Configuring the Editor</a></li>
<li><a href="creator-modeling.html">Modeling</a></li>
<li><a href="creator-scxml.html">Editing State Charts</a></li>
</ul>
</td></tr>
<tr valign="top" class="odd"><td ><img src="images/creator_buildingrunning.png" alt="" /></td><td ><img src="images/creator_testing.png" alt="" /></td><td ><img src="images/creator_advanceduse.png" alt="" /></td><td ><img src="images/creator_gettinghelp.png" alt="" /></td></tr>
<tr valign="top" class="even"><td ><b><a href="creator-building-running.html">Building and Running</a></b><ul>
<li><a href="creator-live-preview.html">Previewing</a></li>
<li><a href="creator-building-targets.html">Building for Multiple Platforms</a></li>
<li><a href="creator-running-targets.html">Running on Multiple Platforms</a></li>
<li><a href="creator-deployment.html">Deploying to Devices</a></li>
<li><a href="creator-connecting-mobile.html">Connecting Devices</a></li>
</ul>
</td><td ><b><a href="creator-testing.html">Testing</a></b><ul>
<li><a href="creator-debugging.html">Debugging</a></li>
<li><a href="creator-analyze-mode.html">Analyzing Code</a></li>
<li><a href="creator-autotest.html">Running Autotests</a></li>
</ul>
</td><td ><b><a href="creator-advanced.html">Advanced Use</a></b><ul>
<li><a href="creator-os-supported-platforms.html">Supported Platforms</a></li>
<li><a href="creator-project-other.html">Using Other Build Systems</a></li>
<li><a href="creator-cli.html">Using Command Line Options</a></li>
<li><a href="creator-keyboard-shortcuts.html">Keyboard Shortcuts</a></li>
<li><a href="creator-editor-external.html">Using External Tools</a></li>
</ul>
</td><td ><b><a href="creator-help-overview.html">Getting Help</a></b><ul>
<li><a href="creator-help.html">Using the Help Mode</a></li>
<li><a href="creator-faq.html">FAQ</a></li>
<li><a href="creator-how-tos.html">How-tos</a></li>
<li><a href="creator-known-issues.html">Known Issues</a></li>
<li><a href="creator-glossary.html">Glossary</a></li>
</ul>
</td></tr>
<tr valign="top" class="odd"><td  colspan="4"><a href="qtcreator-toc.html">All Topics</a></td></tr>
<tr valign="top" class="even"><td  colspan="4"><p><b>Note: </b>To report bugs and suggestions to the Qt Bug Tracker, select <b>Help &gt; Report Bug</b>. To copy and paste detailed information about your system to the bug report, select <b>Help</b> &gt; <b>System Information</b>.</p><p>You can also join the Qt Creator mailing list at: <a href="http://lists.qt-project.org/mailman/listinfo/">lists.qt-project.org Mailing Lists</a>.</p>
<p>For credits and a list of third-party libraries, see <a href="creator-acknowledgements.html">Acknowledgements</a>.</p>
</td></tr>
</table></div>
</div>
<!-- @@@index.html -->
<p class="naviNextPrevious footerNavi">
<a class="nextPage" href="creator-getting-started.html">Getting Started</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
